Bug 111173 - Frequent GPU hangs
Summary: Frequent GPU hangs
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 08:00 UTC by Cristiano Guadagnino
Modified: 2019-08-08 21:05 UTC (History)
1 user (show)

See Also:
i915 platform: HSW
i915 features: GPU hang


Attachments
GPU crash dump (41.96 KB, text/plain)
2019-07-19 08:00 UTC, Cristiano Guadagnino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cristiano Guadagnino 2019-07-19 08:00:43 UTC
Created attachment 144823 [details]
GPU crash dump

I am experiencing frequent GPU hangs lately (since about a couple weeks), on openSUSE Tumbleweed.

Here is the relevant information:

~ # inxi -G
Graphics:  Device-1: Intel Haswell-ULT Integrated Graphics driver: i915 v: kernel
           Display: x11 server: X.org 1.20.5 driver: modesetting unloaded: fbdev,vesa 
           resolution: 1920x1080~60Hz, 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel Haswell Mobile v: 4.5 Mesa 19.1.2

~ # uname -a
Linux xmper8q3.gcv.dom 5.1.16-1-default #1 SMP Wed Jul 3 12:37:47 UTC 2019 (2af8a22) x86_64 x86_64 x86_64 GNU/Linux

~ # cat /etc/os-release
NAME="openSUSE Tumbleweed"
# VERSION="20190716"
ID="opensuse-tumbleweed"
ID_LIKE="opensuse suse"
VERSION_ID="20190716"
PRETTY_NAME="openSUSE Tumbleweed"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:tumbleweed:20190716"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"
LOGO="distributor-logo"

~ # dmesg|tail
[ 1270.414188] VBoxNetFlt: attached to 'enp0s25' / 68:f7:28:25:91:17
[ 1270.430184] device enp0s25 entered promiscuous mode
[ 1270.441781] vboxdrv: 0000000000000000 VBoxEhciR0.r0
[ 3328.614344] i915 0000:00:02.0: GPU HANG: ecode 7:1:0xfffffffe, in kwin_x11 [6701], hang on rcs0
[ 3328.614346] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 3328.614347] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 3328.614348] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 3328.614349] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 3328.614350] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 3328.614401] i915 0000:00:02.0: Resetting chip for hang on rcs0

I am attaching the crash dump.

If you need further details do not hesitate to ask.

Cris
Comment 1 Chris Wilson 2019-07-19 08:03:00 UTC
We expect it to be resolved in kernel v5.1.17
Comment 2 Cristiano Guadagnino 2019-07-19 09:24:32 UTC
Great. I'll get back to you as soon as Tumbleweed receives the new kernel.
Comment 3 Lakshmi 2019-07-29 12:24:01 UTC
(In reply to Cristiano Guadagnino from comment #2)
> Great. I'll get back to you as soon as Tumbleweed receives the new kernel.

Any feedback with latest kernel?
Comment 4 Cristiano Guadagnino 2019-07-29 16:01:14 UTC
Sorry Lakshmi, I’m out of town right now. I’ll be back in a few days and I’ll let you know.
Comment 5 Chris Wilson 2019-08-08 21:05:17 UTC
Let's assume all went to plan and v5.1.17 did the trick. Certainly the number of people complaining seems to have tailed off!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.